<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('telas', function (Blueprint $table) {
            if (Schema::hasColumn('telas', 'foto')) {
                $table->dropColumn('foto');
            }
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('telas', function (Blueprint $table) {
            if (! Schema::hasColumn('telas', 'foto')) {
                $table->string('foto')->nullable()->after('tipo');
            }
        });
    }
};
